// CatLeg.cpp : implementation file
//

#include "stdafx.h"
#include "CatLeg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static const int LEG_WIDTH = 4 * ::GetSystemMetrics(SM_CXBORDER);

/////////////////////////////////////////////////////////////////////////////
// CCatLeg

CCatLeg::CCatLeg()
{
}

CCatLeg::~CCatLeg()
{
}


BEGIN_MESSAGE_MAP(CCatLeg, CCatPart)
        //{{AFX_MSG_MAP(CCatLeg)
                // NOTE - the ClassWizard will add and remove mapping macros here.
        //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCatLeg message handlers

/****************************************************************************
*                               CHead::DrawPath
* Inputs:
*       CWnd * wnd: Window in which path is drawn
*       CDC & dc: DC into which it is drawn 
* Result: void
*       
* Effect: 
*       Draws the path for the head
****************************************************************************/

void CCatLeg::DrawPath(CWnd * wnd, CDC & dc)
   {
    CRect r;
    GetWindowRect(&r);
    wnd->ScreenToClient(&r);
    dc.BeginPath();
    dc.MoveTo(r.left, r.top);
    dc.LineTo(r.left, r.bottom);
    dc.LineTo(r.right, r.bottom);
    dc.LineTo(r.right, r.bottom - LEG_WIDTH);
    dc.LineTo(r.left + LEG_WIDTH, r.bottom - LEG_WIDTH);
    dc.LineTo(r.left + LEG_WIDTH, r.top);
    dc.CloseFigure();

    dc.EndPath();
   } // CHead::DrawPath
