// WindowRegionDlg.h : header file
//

#if !defined(AFX_WINDOWREGIONDLG_H__DAB7292E_C942_49A6_80E9_A5EFE0E0BADB__INCLUDED_)
#define AFX_WINDOWREGIONDLG_H__DAB7292E_C942_49A6_80E9_A5EFE0E0BADB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWindowRegionDlg dialog
#include "TextButton.h"
#include "Head.h"
#include "CatTail.h"
#include "CatLeg.h"
#include "Ear.h"
#include "Body.h"
#include "Balloon.h"

class CWindowRegionDlg : public CDialog
{
// Construction
public:
        CWindowRegionDlg(CWnd* pParent = NULL); // standard constructor

// Dialog Data
        //{{AFX_DATA(CWindowRegionDlg)
        enum { IDD = IDD_WINDOWREGION_DIALOG };
        CStatic c_Balloon;
        CEar    c_RightEar;
        CEar    c_LeftEar;
        CCatTail c_Tail;
        CCatLeg c_RightRearLeg;
        CCatLeg c_RightFrontLeg;
        CCatLeg c_LeftRearLeg;
        CCatLeg c_LeftFrontLeg;
        CHead   c_Head;
        CBody c_Body;
        CTextButton     c_T;
        CTextButton     c_C;
        CTextButton     c_A;
        //}}AFX_DATA

        // ClassWizard generated virtual function overrides
        //{{AFX_VIRTUAL(CWindowRegionDlg)
        protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support
        //}}AFX_VIRTUAL

// Implementation
protected:
        HICON m_hIcon;
        void AddRegion(CCatPart & part, CRgn & windowrgn);

        CBalloon * c_Mew;
        afx_msg LRESULT OnQueryColor(WPARAM, LPARAM);
        // Generated message map functions
        //{{AFX_MSG(CWindowRegionDlg)
        virtual BOOL OnInitDialog();
        afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
        afx_msg void OnPaint();
        afx_msg HCURSOR OnQueryDragIcon();
        virtual void OnOK();
        virtual void OnCancel();
        afx_msg void OnClose();
        afx_msg UINT OnNcHitTest(CPoint point);
        afx_msg void OnA();
        afx_msg void OnC();
        afx_msg void OnT();
        afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
        afx_msg void OnAboutCat();
        afx_msg void OnExit();
        afx_msg void OnNcRButtonDown(UINT nHitTest, CPoint point);
        afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnMove(int x, int y);
	//}}AFX_MSG
        afx_msg void OnTailDown();
        afx_msg void OnTailUp();
        DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINDOWREGIONDLG_H__DAB7292E_C942_49A6_80E9_A5EFE0E0BADB__INCLUDED_)
